# copyright: Huynh Duong Phuong Vi
# www.sketchupforyou.com
module S4U
	module S4u_scale
		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'
		NAME="s4u_scale"
		Strings  = LanguageHandler.new(NAME + ".strings")
		TOOL=Strings["Scale"]
		@ext = SketchupExtension.new(("s4u-" + TOOL),File.join(NAME,(NAME + "_loader")))
		@ext.copyright= 'Huynh Duong Phuong Vi'
		@ext.creator =  'Suforyou'
		@ext.version = '3.1.0'
		@ext.description = Strings["Scale Objects with reference points."]
		Sketchup.register_extension @ext, true
	end
end
